import axios from '@/libs/api.request'

/* 获取已贴标物料 */
export const GetHasTagMaterialList = (data = {}) => {
  return axios.request({
    url: '/api/Integrated/GetHasTagMaterialList',
    data,
    method: 'post'
  })
}

/* 获取出库单列表 */
export const GetOutStorageBillList = (data = {}) => {
  return axios.request({
    url: '/api/Integrated/GetOutStorageBillList',
    data,
    method: 'post'
  })
}

/* 入库 */
export const PlcStorageIn = (data = {}) => {
  return axios.request({
    url: '/api/Integrated/PlcStorageIn',
    data,
    method: 'post'
  })
}

/* 出库 */
export const PlcStorageOut = (data = {}) => {
  return axios.request({
    url: '/api/Integrated/PlcStorageOut',
    data,
    method: 'post'
  })
}

/* 发送重新扫描指令 */
export const ReScan = (data = {}) => {
  return axios.request({
    url: '/api/Integrated/ReScan',
    data,
    method: 'post'
  })
}

/* 发送当前出入库状态指令 */
export const SendInOutState = (data = {}) => {
  return axios.request({
    url: '/api/Integrated/SendInOutState',
    data,
    method: 'post'
  })
}

/* 获取扫描到的Rfid标签 */
export const GetScanRfid = (data = {}) => {
  return axios.request({
    url: '/api/Integrated/GetScanRfid',
    data,
    method: 'post'
  })
}

/* 发送开门/关门指令 */
export const OpenOrCloseStorageDoor = (data = {}) => {
  return axios.request({
    url: '/api/Integrated/OpenOrCloseStorageDoor',
    data,
    method: 'post'
  })
}

// 面料列表
export const GetMaterialPageList = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/GetMaterialPageList',
    data,
    method: 'post'
  })
}

// 获取物料分类树
export const GetMaterialCategoryZTree = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/GetMaterialCategoryZTree',
    data,
    method: 'post'
  })
}

// 新增领料申请单
export const ApplyTakeAdd = (data = {}) => {
  return axios.request({
    url: '/api/ApplyTake/Add',
    data,
    method: 'post'
  })
}

// 获取扫描到的Rfid标签-出库
export const GetScanRfidStockOut = (data = {}) => {
  return axios.request({
    url: '/api/Integrated/GetScanRfidStockOut',
    data,
    method: 'post'
  })
}

// 获取领料出库物料
export const GetApplyTakeStockOut = (data = {}) => {
  return axios.request({
    url: '/api/Integrated/GetApplyTakeStockOut',
    data,
    method: 'post'
  })
}

// 最近常用面料
export const GetUserTakeMaterialRankList = (data = {}) => {
  return axios.request({
    url: '/api/Integrated/GetUserTakeMaterialRankList',
    data,
    method: 'post'
  })
}

// 获取扫描到的Rfid标签-出入库
export const GetScanRfidStocInOut = (data = {}) => {
  return axios.request({
    url: '/api/Integrated/GetScanRfidStocInOut',
    data,
    method: 'post'
  })
}

// 停止非法出入库预警
export const StopIllegalWarning = (data = {}) => {
  return axios.request({
    url: '/api/Integrated/StopIllegalWarning',
    data,
    method: 'post'
  })
}

// 非法出入库列表
export const GetIllegalData = (data = {}) => {
  return axios.request({
    url: '/api/Integrated/GetIllegalData',
    data,
    method: 'post'
  })
}

// 删除待出库数据
export const DelScanRfid = (data = {}) => {
  return axios.request({
    url: '/api/Integrated/DelScanRfid',
    data,
    method: 'post'
  })
}

// 调仓
export const ExchangeStorage = (data = {}) => {
  return axios.request({
    url: '/api/Integrated/ExchangeStorage',
    data,
    method: 'post'
  })
}

// 仓库
export const GetStockHouse = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/GetStockHouse',
    data,
    method: 'post'
  })
}

// 出库列表
export const GetOutMaterialPageList = (data = {}) => {
  return axios.request({
    url: '/api/Integrated/GetMaterialPageList',
    data,
    method: 'post'
  })
}

// 获取V3常用物料
export const GetV3PlanData = (data = {}) => {
  return axios.request({
    url: '/api/Integrated/GetV3PlanData',
    data,
    method: 'post'
  })
}


// 获取V3常用物料2
export const GetV3PlanData2 = (data = {}) => {
  return axios.request({
    url: 'http://120.79.80.64:8055/javaApi/getV3PlanData',
    data,
    method: 'post'
  })
}
